opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
cv::BOWTrainer Class Referenceabstract

`#include <features2d.hpp>`

Inheritance diagram for cv::BOWTrainer:

## Public Member Functions

void | add (const Mat &descriptors)
| BOWTrainer ()
virtual void | clear ()
virtual Mat | cluster () const =0
virtual Mat | cluster (const Mat &descriptors) const =0
int | descripotorsCount () const
const vector< Mat > & | getDescriptors () const
virtual | ~BOWTrainer ()

## Protected Attributes

vector< Mat > | descriptors
int | size

## Constructor & Destructor Documentation

cv::BOWTrainer::BOWTrainer | ( |  | ) |

virtual cv::BOWTrainer::~BOWTrainer | ( |  | ) |

virtual

## Member Function Documentation

void cv::BOWTrainer::add | ( | const Mat & | descriptors | ) |

virtual void cv::BOWTrainer::clear | ( |  | ) |

virtual

virtual Mat cv::BOWTrainer::cluster | ( |  | ) | const

pure virtual

Implemented in cv::BOWKMeansTrainer.

virtual Mat cv::BOWTrainer::cluster | ( | const Mat & | descriptors | ) | const

pure virtual

Implemented in cv::BOWKMeansTrainer.

int cv::BOWTrainer::descripotorsCount | ( |  | ) | const

const vector<Mat>& cv::BOWTrainer::getDescriptors | ( |  | ) | const

## Member Data Documentation

vector<Mat> cv::BOWTrainer::descriptors

protected

int cv::BOWTrainer::size

protected

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp